%define major 1
%define libname %mklibname tspi %{major}
%define develname %mklibname -d %{name}

Name: trousers
Summary: TCG's Software Stack v1.2
Version: 0.3.15
Release: %mkrel 1
License: BSD
Group: System/Libraries
Url: http://trousers.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: tcsd.service
Patch1:  trousers-0.3.14-noinline.patch
# submitted upstream
Patch2: trousers-0.3.14-unlock-in-err-path.patch
Patch3: trousers-0.3.14-fix-indent-obj_policy.patch
Patch4: trousers-0.3.14-fix-indent-tspi_key.patch
BuildRequires: pkgconfig(openssl)

%description
TrouSerS is an implementation of the Trusted Computing Group's Software Stack
(TSS) specification. You can use TrouSerS to write applications that make use
of your TPM hardware. TPM hardware can create, store and use RSA keys
securely (without ever being exposed in memory), verify a platform's software
state using cryptographic hashes and more.

%package -n %{libname}
Summary: TrouSerS Shared libraries
Group: System/Libraries

%description -n %{libname}
Shared libraries for TrouSerS.

%package -n %{develname}
Summary: TrouSerS header files and documentation
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and man pages for use in creating Trusted Computing enabled
applications.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --with-gui=openssl --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/libtspi.la
mkdir -p %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/

%pre
%_pre_useradd tss /dev/null /bin/false

%post
%_post_service tcsd

%preun
%_preun_service tcsd

%postun
%_postun_userdel tss

%files
%doc README LICENSE ChangeLog
%{_sbindir}/tcsd
%config(noreplace) %attr(0640, root, tss) %{_sysconfdir}/tcsd.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_unitdir}/tcsd.service
%attr(0700, tss, tss) %{_localstatedir}/lib/tpm/

%files -n %{libname}
%{_libdir}/libtspi.so.%{major}
%{_libdir}/libtspi.so.%{major}.*

%files -n %{develname}
%doc doc/LTC-TSS_LLD_08_r2.pdf doc/TSS_programming_SNAFUs.txt
%{_libdir}/libtspi.so
%{_libdir}/libtddl.a
%{_includedir}/*
%{_mandir}/man3/Tspi_*


%changelog
* Tue Nov 17 2020 luigiwalser <luigiwalser> 0.3.15-1.mga8
+ Revision: 1646886
- 0.3.15
- rediffed patch 1 from fedora
- remove upstreamed patches
- add tscd.conf ownership/permissions fix missing from previous update

* Sat Aug 15 2020 guillomovitch <guillomovitch> 0.3.14-7.mga8
+ Revision: 1614114
- sync patches with Fedora
- fix build
+ neoclust <neoclust>
- Add P0: Fixes security issue reported in mga#26658

* Fri Feb 14 2020 umeabot <umeabot> 0.3.14-5.mga8
+ Revision: 1517495
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.14-4.mga7
+ Revision: 1301461
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 wally <wally> 0.3.14-3.mga7
+ Revision: 1233515
- fix build on aarch64

* Thu Aug 31 2017 guillomovitch <guillomovitch> 0.3.14-2.mga7
+ Revision: 1150324
- rebuild for latest openssl

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.3.14-1.mga6
+ Revision: 1078993
- 0.3.14

* Wed Feb 17 2016 umeabot <umeabot> 0.3.13-5.mga6
+ Revision: 963095
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 danf <danf> 0.3.13-4.mga6
+ Revision: 894685
- Added noinline.patch to fix build on gcc 5.2

* Wed Oct 15 2014 umeabot <umeabot> 0.3.13-3.mga5
+ Revision: 747885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.13-2.mga5
+ Revision: 689959
- Mageia 5 Mass Rebuild

* Sat Apr 26 2014 luigiwalser <luigiwalser> 0.3.13-1.mga5
+ Revision: 618329
- 0.3.13

* Sat Oct 19 2013 umeabot <umeabot> 0.3.11.2-2.mga4
+ Revision: 532502
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 0.3.11.2-1.mga4
+ Revision: 468517
- 0.3.11.2
- license is now BSD

* Sun Jan 20 2013 oden <oden> 0.3.10-1.mga4
+ Revision: 390019
- 0.3.10
- drop upstream added patches

* Mon Jan 14 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 384821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 fwang <fwang> 0.3.9-2.mga3
+ Revision: 287904
- add pld-linux patch to fix crash uponn mplayer startup (bug#7302)

* Sat Sep 01 2012 fwang <fwang> 0.3.9-1.mga3
+ Revision: 286855
- update file list
- correct libmajor
- imported package trousers

